Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 211808 - org.apache.lucene.store.LockObtainFailedException: Lock obtain timed out: org.netbeans.modules.parsing.lucene.RecordOwnerLockFactory$RecordOwnerLock@357fa07b
org.apache.lucene.store.LockObtainFailedException: Lock obtain timed out: org...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.2
All All
: P1 (vote)
: 7.3
Assigned To: Tomas Zezula
issues@editor
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 19:18 UTC by djdevin
Modified: 2012-12-04 03:18 UTC (History)
26 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.90 KB, text/plain)
2012-04-26 19:18 UTC, djdevin
Details
stacktrace (4.01 KB, text/plain)
2012-06-04 08:58 UTC, jordao
Details
stacktrace (4.01 KB, text/plain)
2012-09-10 12:47 UTC, Marek Fukala
Details
stacktrace (6.66 KB, text/plain)
2012-10-20 00:17 UTC, mago_ebon
Details
stacktrace (4.78 KB, text/plain)
2012-11-10 18:25 UTC, javydreamercsw
Details
stacktrace (6.15 KB, text/plain)
2012-11-16 16:58 UTC, augcampos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description djdevin 2012-04-26 19:18:00 UTC
This bug was originally marked as duplicate of bug 208517, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 201204260400)
VM: OpenJDK 64-Bit Server VM, 20.0-b12, OpenJDK Runtime Environment, 1.6.0_24-b24
OS: Linux

User Comments:
djdevin: nothing




Stacktrace: 
org.apache.lucene.store.LockObtainFailedException: Lock obtain timed out: org.netbeans.modules.parsing.lucene.RecordOwnerLockFactory$RecordOwnerLock@357fa07b
   at org.apache.lucene.store.Lock.obtain(Lock.java:84)
   at org.apache.lucene.index.IndexWriter.<init>(IndexWriter.java:1108)
   at org.netbeans.modules.parsing.lucene.LuceneIndex$FlushIndexWriter.<init>(LuceneIndex.java:1158)
   at org.netbeans.modules.parsing.lucene.LuceneIndex$DirCache.acquireWriter(LuceneIndex.java:820)
   at org.netbeans.modules.parsing.lucene.LuceneIndex._doStore(LuceneIndex.java:403)
   at org.netbeans.modules.parsing.lucene.LuceneIndex.store(LuceneIndex.java:468)
Comment 1 djdevin 2012-04-26 19:18:05 UTC
Created attachment 118828 [details]
stacktrace
Comment 2 jordao 2012-06-04 08:58:13 UTC
Created attachment 120289 [details]
stacktrace
Comment 3 rjdkolb 2012-07-03 14:30:26 UTC
I am getting this in 7.2 RC1
For some reason my code completion is not working. Maybe that is related.

Using Maven type projects only.
Let me know if you need any more details.
Comment 4 rjdkolb 2012-07-03 14:52:40 UTC
A note on this.
I may have run out of disk space... oops
Comment 5 Exceptions Reporter 2012-07-24 19:54:42 UTC
This bug already has 100 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=187418
Comment 6 Exceptions Reporter 2012-07-24 19:57:42 UTC
This bug already has 100 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=187418
Comment 7 Exceptions Reporter 2012-07-24 20:00:40 UTC
This bug already has 100 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=187418
Comment 8 Marek Fukala 2012-09-10 12:47:13 UTC
Created attachment 124101 [details]
stacktrace

saving a css file
Comment 9 Tomas Zezula 2012-09-19 13:47:46 UTC
Incorrect IDE shutdown in most cases.
Comment 10 mago_ebon 2012-10-20 00:17:27 UTC
Created attachment 126223 [details]
stacktrace

I was waiting for autocompletion on a .groovy file
Comment 11 Marian Mirilovic 2012-11-05 10:12:36 UTC
210 dups ... >20 from 7.3 Beta ... P1
Comment 12 javydreamercsw 2012-11-10 18:25:41 UTC
Created attachment 127530 [details]
stacktrace

Opening IDE
Comment 13 augcampos 2012-11-16 16:58:32 UTC
Created attachment 127953 [details]
stacktrace

just open a medium php project and doing the background scanning
Comment 14 Tomas Zezula 2012-12-03 17:57:52 UTC
fixed jet-main 24f6928dca82
Comment 15 Quality Engineering 2012-12-04 03:18:17 UTC
Integrated into 'main-golden', will be available in build *201212040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/24f6928dca82
User: Tomas Zezula <tzezula@netbeans.org>
Log: #211808:org.apache.lucene.store.LockObtainFailedException: Lock obtain timed out: org.netbeans.modules.parsing.lucene.RecordOwnerLockFactory$RecordOwnerLock@357fa07b


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo